Page MenuHomePhabricator

O4. Flow fatal error in feedcontributions "Accessing non-existent parameter: page_namespace"
Closed, ResolvedPublic

Description

E.g. http://fr.wikipedia.org/w/api.php?action=feedcontributions&user=Apokrif&feedformat=atom

2014-12-24 12:37:46 mw1233 frwiki: [a454b3c5] /w/api.php?action=feedcontributions&user=Apokrif&feedformat=atom MWException from line 354 of /srv/mediawiki/php-1.25wmf12/extensions/Flow/includes/Formatter/AbstractQuery.php: Accessing non-existent parameter: page_namespace
#0 /srv/mediawiki/php-1.25wmf12/includes/api/ApiFeedContributions.php(106): Flow\Formatter\FormatterRow->__get()
#1 /srv/mediawiki/php-1.25wmf12/includes/api/ApiFeedContributions.php(98): ApiFeedContributions->feedItem()
#2 /srv/mediawiki/php-1.25wmf12/includes/api/ApiMain.php(954): ApiFeedContributions->execute()
#3 /srv/mediawiki/php-1.25wmf12/includes/api/ApiMain.php(392): ApiMain->executeAction()
#4 /srv/mediawiki/php-1.25wmf12/includes/api/ApiMain.php(363): ApiMain->executeActionWithErrorHandling()
#5 /srv/mediawiki/php-1.25wmf12/api.php(85): ApiMain->execute()
#6 /srv/mediawiki/w/api.php(3): include()
#7 {main}

there are 5 of these in the log from frwiki, metawiki, enwiki.

Event Timeline

Spage raised the priority of this task from to High.
Spage updated the task description. (Show Details)
Spage moved this task from Untriaged to Needs team triage on the Collaboration-Team-Triage board.
Spage added a subscriber: Spage.
Quiddity renamed this task from Flow fatal error in feedcontribtuions "Accessing non-existent parameter: page_namespace" to Flow fatal error in feedcontributions "Accessing non-existent parameter: page_namespace".Jan 5 2015, 6:50 PM
Quiddity set Security to None.
DannyH renamed this task from Flow fatal error in feedcontributions "Accessing non-existent parameter: page_namespace" to [3] Flow fatal error in feedcontributions "Accessing non-existent parameter: page_namespace".Jan 12 2015, 8:04 PM
DannyH renamed this task from [3] Flow fatal error in feedcontributions "Accessing non-existent parameter: page_namespace" to [3] O4. Flow fatal error in feedcontributions "Accessing non-existent parameter: page_namespace".Jan 12 2015, 9:23 PM
gerritbot added a subscriber: gerritbot.

Change 185108 had a related patch set uploaded (by EBernhardson):
Handle flow entries in ApiFeedContributions

https://gerrit.wikimedia.org/r/185108

Patch-For-Review

Change 185108 merged by jenkins-bot:
Handle flow entries in ApiFeedContributions

https://gerrit.wikimedia.org/r/185108

DannyH renamed this task from [3] O4. Flow fatal error in feedcontributions "Accessing non-existent parameter: page_namespace" to O4. Flow fatal error in feedcontributions "Accessing non-existent parameter: page_namespace".Feb 3 2015, 11:55 PM
DannyH closed this task as Resolved.
DannyH claimed this task.